// pointset_example.02.c
// More IA_Set<IA_Point<int> > constructor examples

#include "IntPS.h"
#include "printIPS.c"


IA_Point<int> vec[] = { IA_Point<int>(1,1), IA_Point<int>(2,2),
			IA_Point<int>(3,3), IA_Point<int>(4,4) };

int main() {

    IA_Set<IA_Point<int> >
	ips3( 2,	// dimension of the points in this set
	      vec,	// array of points
	      4   );	// number of points in the array

    // ips3 = { <1 1>, <2 2>, <3 3>, <4 4> }
			 
    cout << "*** ips3 ***\n";
    printIPS(ips3);

    return 0;
}
